VHDLib - Bug #6

Task # 4 (Closed): WaveFormPicker Verification

Task # 3 (Closed): LFR EM Bistream - 0.0.2 - Validation
écriture des données snapshot f0 f1 f2 erronée
14/11/2013 11:55 AM - paul leroy

Status: Closed Start date: 14/11/2013
Priority: Normal Due date:

Assignee: Jean-Christophe Pellion % Done: 50%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r303

Description

Il apparait des sauts dans I'écriture des données snapshot, cf screenshot joint.

History

#1 - 14/11/2013 02:39 PM - paul leroy

- Status changed from New to In Progress

void reset_new_waveform_picker_regs()

/** This function resets the waveform picker module registers.

*

® The registers affected by this function are located at the following offset addresses:
- 0x00 data_shaping

- 0x04 run_burst_enable

- 0x08 addr_data_f0

- 0x0C addr_data_f1

- 0x10 addr_data_f2

- 0x14 addr_data_f3

- Ox18 status

- 0x1C delta_snapshot

- 0x20 delta_f0

- 0x24 delta_f0_2

- 0x28 delta_f1

- 0x2c delta_f2

- 0x30 nb_data_by_buffer

- 0x34 nb_snapshot_param
- 0x38 start_date

- 0x3c nb_word_in_buffer * / new_waveform_picker_regs->data_shaping = 0x01; // 0x00 ™ R1 R0 SP1 SPO BW
new_waveform_picker_regs->run_burst_enable = 0x00; // 0x04 *** [run *** burst f2, f1, f0 *** enable f3, f2, 1, f0 ]

new_waveform_picker_regs->addr_data_f0 = (int) (wf_snap_f0); // 0x08 new_waveform_picker_regs->addr_data_f1 = (int) (wf_snap_f1); // 0xOc
new_waveform_picker_regs->addr_data_f2 = (int) (wf_snap_f2); // 0x10 new_waveform_picker_regs->addr_data_f3 = (int) (wf_cont_f3); // 0x14
new_waveform_picker_regs->status = 0x00; // 0x18 // new_waveform_picker_regs->delta_snapshot = 0x12800; // 0x1c 296 * 256 = 75776
new_waveform_picker_regs->delta_snapshot = 0x1000; // Ox1c 16 * 256 = 4096 new_waveform_picker_regs->delta_f0 = 0x3f5; // 0x20 *** 1013
new_waveform_picker_regs->delta_f0_2 = 0x7; // 0x24 *** 7 [7 bits] new_waveform_picker_regs->delta_f1 = 0x3c0; // 0x28 *** 960 //
new_waveform_picker_regs->delta_f2 = 0x12200; // 0x2¢ *** 74240 new_waveform_picker_regs->delta_f2 = 0xc00; // Ox2¢ *** 12 * 256 = 3072
new_waveform_picker_regs->nb_data_by_buffer = 0x7ff; // 0x30 *** 2048 -1 new_waveform_picker_regs->snapshot_param = 0x800; // 0x34 ***
2048 new_waveform_picker_regs->start_date = 0x00; // 0x38 new_waveform_picker_regs->nb_word_in_buffer = 0x1802; // 0x3c *** 2048 * 3 +

2-6146)

#2 - 19/11/2013 09:36 AM - Jean-Christophe Pellion
- % Done changed from 0 to 50

New bitream : LFR EM Bistream - 0.0.5

#3 - 25/02/2014 02:16 PM - Jean-Christophe Pellion
- Status changed from In Progress to Closed

- revision set to r303
Résolu pour la revision r303 (PDB : "MINI_LFR_WFP-0-0-10.pdb":
https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/162/MINI_LFR_WFP-0-0-10.pdb)
